<div class='users'>
    <div *ngFor="let user of chatUsers" class='user'>
        <!-- <img class="profile-pic-smaller" src="https://i.pinimg.com/736x/b7/39/26/b73926586582129496fe9ec0b267d087.jpg"
        alt="hollow-knight"> -->
        <svg class="profile-pic-smaller" [data-jdenticon-value]="user.username"></svg>

        <i (click)="onClickRemove(user._id)" class='material-icons user-i'>person_remove</i>

        <!-- create a new room with 2 persons only!, basically a private chat -->
        <i (click)="onClickMessage(user) " class='material-icons user-i'>message</i>

        <a routerLink="../profile/{{user.username}}" class='material-icons user-i'>person</a>

        <div class='user-username'>{{user.username}}</div>
        <div class='user-name-lastname'> {{user.firstname + " " + user.lastname}}</div>
  </div>
</div>

<div class='add-user'>
  <mat-autocomplete #auto="matAutocomplete"
  (optionSelected)="onSelect($event.option.value)"
   [displayWith]="getOptionText">
    <mat-option *ngFor="let user of unselectedChatUsers" [value]="user">
      <span class="item-title">
        <svg class="autocomplete-image" [data-jdenticon-value]="user.username"></svg>
        <strong>{{user.username}}</strong>
      </span>
      <span class="item-metadata">
          <span class="item-metastat">
            {{user.firstname + " " + user.lastname}}
          </span>
      </span>
    </mat-option>
  </mat-autocomplete>

  <input #addUserInput
       [readonly]="AddUserInputReadonly()"
       [placeholder]="getAddUserInputLabel()"
       type="text"
       class='autocomplete-input'
       aria-label="Number"
       matInput
       (keyup.enter)="onEnter(addUserInput)"
       [matAutocomplete]="auto">

  <i (click)="onEnter(addUserInput)" class='material-icons add-user-i'>person_add</i>
</div>
